> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tai42.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Serve a studio plugin asset



## OpenAPI

````yaml /openapi.json get /api/plugins/{name}/studio/{path}
openapi: 3.1.0
info:
  description: The operator HTTP surface served under /api/*.
  title: tai42-skeleton API
  version: 0.1.1
servers: []
security: []
paths:
  /api/plugins/{name}/studio/{path}:
    get:
      tags:
        - plugins
      summary: Serve a studio plugin asset
      operationId: get_api_plugins_name_studio_path
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
        - in: path
          name: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/octet-stream:
              schema:
                type: string
          description: Asset bytes.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Resource not found.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error.
components:
  schemas:
    Error:
      properties:
        error:
          type: string
      required:
        - error
      type: object

````